/*
 *
 * cwritelibbase.h -- C include file defining cwrite.library base
 *
 * Copyright (C) 1992 Tribune Channel Software Team. All rights reserved.
 *
 */

#ifndef CWRITELIB_BASE_H
#define CWRITELIB_BASE_H

#ifndef  EXEC_TYPES_H
#include  <exec/types.h>
#endif   EXEC_TYPES_H

#ifndef  EXEC_LISTS_H
#include  <exec/lists.h>
#endif   EXEC_LISTS_H

#ifndef  EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif   EXEC_LIBRARIES_H

/* library data structures
 *
 *  Note that the library base begins with a library node
 */

struct CwrlibBase {
   struct Library LibNode;
   ULONG  SysLib;
   ULONG  DosLib;
   ULONG  GfxLib;
   ULONG  IntLib;
   ULONG  SegList;
   UBYTE  Flags;
   UBYTE  pad;
   /* We are now longword aligned */
   };


#define CWRITELIBNAME   "cwrite.library"

#endif EXEC_CWRITELIBBASE_H
